import * as __WEBPACK_EXTERNAL_MODULE__utils_filterEmptyValues_mjs__ from "../../utils/filterEmptyValues.mjs";
describe('filterEmptyValues', ()=>{
    test('should remove empty values from an array', ()=>{
        const value = [
            null,
            0,
            '',
            false,
            void 0,
            42
        ];
        const result = (0, __WEBPACK_EXTERNAL_MODULE__utils_filterEmptyValues_mjs__.filterEmptyValues)(value);
        expect(result).toEqual([
            0,
            false,
            42
        ]);
    });
    test('should return the value unchanged if it is not an array', ()=>{
        const value = 'hello world';
        const result = (0, __WEBPACK_EXTERNAL_MODULE__utils_filterEmptyValues_mjs__.filterEmptyValues)(value);
        expect(result).toEqual('hello world');
    });
    test('should remove empty values from an array containing various types', ()=>{
        const value = [
            1,
            'apple',
            false,
            0,
            3.14,
            '',
            null,
            'orange',
            void 0
        ];
        const result = (0, __WEBPACK_EXTERNAL_MODULE__utils_filterEmptyValues_mjs__.filterEmptyValues)(value);
        expect(result).toEqual([
            1,
            'apple',
            false,
            0,
            3.14,
            'orange'
        ]);
    });
});
